package cn.iocoder.yudao.module.product.enums;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum GatewayTypeEnums implements IntArrayValuable {
    BILIAN(1, "必联", "bilian"),
    YOUREN(2, "有人", "youren");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(GatewayTypeEnums::getGatewayType).toArray();

    /**
     * 网关类型
     */
    private final Integer gatewayType;

    /**
     * 类型名
     */
    private final String typeName;

    private final String topicString;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
